﻿@using ClientDependency.Core.Mvc
@using Core.Services
@using Current = Umbraco.Web.Composing.Current;
@inherits Umbraco.Web.Mvc.UmbracoViewPage

@{
    Layout = null;
    IPublishedContent root = Model.Root();

    IClientSettingsService clientSettingsService = Current.Factory.GetInstance<IClientSettingsService>();
    var clientSettings = clientSettingsService.GetClientSettings();



    //scripts
    foreach (var scriptfile in clientSettings.Scripts)
    {
        Html.RequiresJs(scriptfile);
    }

    foreach (var stylefile in clientSettings.Styles)
    {
        Html.RequiresCss(stylefile);
    }
}

<!DOCTYPE html>
<html lang="@Model.GetCultureFromDomains()">
<head>

    <meta charset="utf-8">
    @{ Html.RenderPartial("SiteLayout/_MetaData"); }
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1">

    @if (clientSettings.HasSnipCart)
    {
        <link rel="stylesheet" href="https://cdn.snipcart.com/themes/v3.0.13/default/snipcart.css" />
    }

    @Html.RenderCssHere()

</head>

<body data-scrolltime="1.2" data-scrolldistance="1.8">

    <div class="content_wrapperTest">
        @if (clientSettings.HasSnipCart)
        {
            <div id="snipcart" data-api-key="NzI3ZDczMWYtNTc2MC00ZjYyLTllMjktZTg5ZTUxYjJjNTFlNjM3MjQ0NTU3Njk1Njc0MzY5" hidden></div>
        }
        @Html.CachedPartial("Partials/ms/msHeader", Model, 3600)
        <div class="content_wrapper_sections">
            @Html.CachedPartial("Partials/ms/msTop", Model, 0)
            @RenderBody()
            @Html.CachedPartial("Partials/ms/msBottom", Model, 3600)
        </div>
    </div>

    @Html.RenderJsHere()
    @if (clientSettings.HasSnipCart)
    {
        <script src="https://cdn.snipcart.com/themes/v3.0.13/default/snipcart.js"></script>
    }



</body>
</html>
